
package cn.orionsec.ops.service.api;

import cn.orionsec.kit.lang.define.wrapper.DataGrid;
import cn.orionsec.ops.entity.request.app.ApplicationPipelineRequest;
import cn.orionsec.ops.entity.vo.app.ApplicationPipelineVO;

import java.util.List;

public interface ApplicationPipelineService {

    /**
     * 添加流水线
     *
     * @param request request
     * @return request
     */
    Long addPipeline(ApplicationPipelineRequest request);

    /**
     * 更新流水线
     *
     * @param request request
     * @return effect
     */
    Integer updatePipeline(ApplicationPipelineRequest request);

    /**
     * 流水线列表
     *
     * @param request request
     * @return rows
     */
    DataGrid<ApplicationPipelineVO> listPipeline(ApplicationPipelineRequest request);

    /**
     * 获取流水线详情
     *
     * @param id id
     * @return row
     */
    ApplicationPipelineVO getPipeline(Long id);

    /**
     * 删除流水线
     *
     * @param idList idList
     * @return effect
     */
    Integer deletePipeline(List<Long> idList);

    /**
     * 通过 profileId 删除
     *
     * @param profileId profileId
     * @return effect
     */
    Integer deleteByProfileId(Long profileId);

}
